Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.resultsummary
Class BuildResultsSummaryImpl

    java.lang.Object
      EntityObject
          com.atlassian.bamboo.core.BambooEntityObject
              com.atlassian.bamboo.resultsummary.AbstractBuildResultsSummary
                  com.atlassian.bamboo.resultsummary.BuildResultsSummaryImpl

All Implemented Interfaces:
  BambooObject, BuildResultsSummary, ExtendedBuildResultsSummary, ResultStatisticsProvider, Comparable

    public class BuildResultsSummaryImpl

extends AbstractBuildResultsSummary
implements ExtendedBuildResultsSummary

Field Summary

Fields inherited from class com.atlassian.bamboo.core.BambooEntityObject
`id`

Constructor Summary
`BuildResultsSummaryImpl()`

Method Summary
`int` | `compareTo(Object obj)`
`boolean` | `equals(Object object)`
`Date` | `getBuildCompletedDate()`
`Date` | `getBuildDate()`
`String` | `getBuildKey()`
`int` | `getBuildNumber()`
`BuildState` | `getBuildState()`
`String` | `getChangedByAuthors()`
`String` | `getChangesListSummary()`
`String` | `getChangesListSummaryAsJs()`
`List` | `getComments()`
`Set` | `getCommits()`
`Map` | `getCustomBuildData()`
`DeltaState` | `getDeltaState()`
`long` | `getDuration()`
`double` | `getDurationInSeconds()`
`long` | `getFailedBuildCount()`
`Set` | `getJiraIssueKeys()`
`List` | `getLabellings()`
`List` | `getLabelNames()`
`ReasonForBuild` | `getReasonForBuild()`
`long` | `getSuccessfulBuildCount()`
`Long` | `getTimeToFix()`
`long` | `getTotalBuildCount()`
`Set` | `getUniqueAuthors()`
`int` | `hashCode()`
`void` | `setBuildCompletedDate(Date buildCompletedDate)`
`void` | `setBuildDate(Date buildDate)`
`void` | `setBuildKey(String buildKey)`
`void` | `setBuildNumber(int buildNumber)`
`void` | `setBuildState(BuildState buildState)`
`void` | `setComments(List comments)`
`void` | `setCommits(Set commits)`
`void` | `setCustomBuildData(Map customBuildData)`
`void` | `setDeltaState(DeltaState deltaState)`
`void` | `setDuration(long duration)`
`void` | `setFailedBuildCount(long failedBuildCount)`
`void` | `setJiraIssueKeys(Set jiraIssueKeys)`
`void` | `setLabellings(List labellings)`
`void` | `setReasonForBuild(ReasonForBuild reasonForBuild)`
`void` | `setSourceChangeList(Collection commitList)`
`void` | `setSuccessfulBuildCount(long successfulBuildCount)`
`void` | `setTimeToFix(Long timeToFix)`
`void` | `setTotalBuildCount(long totalBuildCount)`

Methods inherited from class com.atlassian.bamboo.resultsummary.AbstractBuildResultsSummary
`createChangedByAuthors, getBuildResultKey, getBuildTime, getDurationDescription, getReasonSummary, getRelativeBuildDate, getRelativeBuildDate, getTestSummary, isFailed, isSuccessful`

Methods inherited from class com.atlassian.bamboo.core.BambooEntityObject
`getId, setId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.atlassian.bamboo.resultsummary.BuildResultsSummary
`getBuildResultKey, getBuildTime, getDurationDescription, getId, getReasonSummary, getRelativeBuildDate, getRelativeBuildDate, getTestSummary, isFailed, isSuccessful`

Methods inherited from interface com.atlassian.bamboo.core.BambooObject
`getId, setId`

Constructor Detail

### BuildResultsSummaryImpl

    public BuildResultsSummaryImpl()

Method Detail

### getBuildKey

    public String getBuildKey()

  Specified by:
    `getBuildKey` in interface `BuildResultsSummary`

### setBuildKey

    public void setBuildKey(String buildKey)

### getBuildState

    public BuildState getBuildState()

  Specified by:
    `getBuildState` in interface `ResultStatisticsProvider`

### setBuildState

    public void setBuildState(BuildState buildState)

### getTotalBuildCount

    public long getTotalBuildCount()

### setTotalBuildCount

    public void setTotalBuildCount(long totalBuildCount)

### getFailedBuildCount

    public long getFailedBuildCount()

  Specified by:
    `getFailedBuildCount` in interface `BuildResultsSummary`

### setFailedBuildCount

    public void setFailedBuildCount(long failedBuildCount)

### getSuccessfulBuildCount

    public long getSuccessfulBuildCount()

  Specified by:
    `getSuccessfulBuildCount` in interface `BuildResultsSummary`

### setSuccessfulBuildCount

    public void setSuccessfulBuildCount(long successfulBuildCount)

### getBuildNumber

    public int getBuildNumber()

  Specified by:
    `getBuildNumber` in interface `ResultStatisticsProvider`

### setBuildNumber

    public void setBuildNumber(int buildNumber)

### getBuildDate

    public Date getBuildDate()

  Specified by:
    `getBuildDate` in interface `ResultStatisticsProvider`

### setBuildDate

    public void setBuildDate(Date buildDate)

### getBuildCompletedDate

    public Date getBuildCompletedDate()

  Specified by:
    `getBuildCompletedDate` in interface `BuildResultsSummary`

### setBuildCompletedDate

    public void setBuildCompletedDate(Date buildCompletedDate)

### getDuration

    public long getDuration()

  Specified by:
    `getDuration` in interface `BuildResultsSummary`

### setDuration

    public void setDuration(long duration)

### getReasonForBuild

    public ReasonForBuild getReasonForBuild()

  Specified by:
    `getReasonForBuild` in interface `BuildResultsSummary`

### setReasonForBuild

    public void setReasonForBuild(ReasonForBuild reasonForBuild)

### getDeltaState

    public DeltaState getDeltaState()

  Specified by:
    `getDeltaState` in interface `BuildResultsSummary`

### setDeltaState

    public void setDeltaState(DeltaState deltaState)

### getCommits

    public Set getCommits()

  Specified by:
    `getCommits` in interface `ExtendedBuildResultsSummary`

### setCommits

    public void setCommits(Set commits)

### getJiraIssueKeys

    public Set getJiraIssueKeys()

  Specified by:
    `getJiraIssueKeys` in interface `BuildResultsSummary`

### setJiraIssueKeys

    public void setJiraIssueKeys(Set jiraIssueKeys)

### getCustomBuildData

    public Map getCustomBuildData()

  Specified by:
    `getCustomBuildData` in interface `BuildResultsSummary`

### setCustomBuildData

    public void setCustomBuildData(Map customBuildData)

### getTimeToFix

    public Long getTimeToFix()

  Specified by:
    `getTimeToFix` in interface `BuildResultsSummary`

### setTimeToFix

    public void setTimeToFix(Long timeToFix)

### getLabellings

    public List getLabellings()

  Specified by:
    `getLabellings` in interface `BuildResultsSummary`

### setLabellings

    public void setLabellings(List labellings)

### getLabelNames

    public List getLabelNames()

  Specified by:
    `getLabelNames` in interface `BuildResultsSummary`

### getComments

    public List getComments()

  Specified by:
    `getComments` in interface `BuildResultsSummary`

### setComments

    public void setComments(List comments)

### getUniqueAuthors

    public Set getUniqueAuthors()

### getChangedByAuthors

    public String getChangedByAuthors()

  Specified by:
    `getChangedByAuthors` in interface `BuildResultsSummary`

### getChangesListSummary

    public String getChangesListSummary()

### getChangesListSummaryAsJs

    public String getChangesListSummaryAsJs()

### getDurationInSeconds

    public double getDurationInSeconds()

  Specified by:
    `getDurationInSeconds` in interface `ResultStatisticsProvider`

### compareTo

    public int compareTo(Object obj)

  Specified by:
    `compareTo` in interface `Comparable`

### setSourceChangeList

    public void setSourceChangeList(Collection commitList)

### equals

    public boolean equals(Object object)

### hashCode

    public int hashCode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.